commit: 36d5cd084e5fdd9ff33e5877c442c7d62f518e63
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 18 03:59:07 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jun 18 03:59:07 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36d5cd08
dev-perl/Test-Manifest: add 2.23.0
No code changes but take the opportunity to tidy slightly.
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-perl/Test-Manifest/Manifest | 1 +
dev-perl/Test-Manifest/Test-Manifest-2.23.0.ebuild | 34 ++++++++++++++++++++++
2 files changed, 35 insertions(+)
diff --git a/dev-perl/Test-Manifest/Manifest b/dev-perl/Test-Manifest/Manifest
index d49e95d04547..15a99a356f90 100644
--- a/dev-perl/Test-Manifest/Manifest
+++ b/dev-perl/Test-Manifest/Manifest
@@ -1 +1,2 @@
DIST Test-Manifest-2.022.tar.gz 14664 BLAKE2B
34a3f850886b0d0017911dcde3cdcd40cae2b1cfea859928b7c837d3ead104f1b7501ac9f26114011ac2c70bf008e3137db3c767c5d635a1c7047349601d0e33
SHA512
e72f5c7c23bac5453afddb81c9175a3b07b9a8f935c37d0fe5ed7e0f6861742c2e9596396b9cb84d62bf2229bc9956bad26c47d7eaab6777ec7628927e294209
+DIST Test-Manifest-2.023.tar.gz 14721 BLAKE2B
d8c48b327e0d2d3833f24f7e6c4c0d21de26d3a50e8f2e8f6c3234e14e87b4eafea7aa60e93f2736cddfa008bb73fb074e4b3d91ea607d16f0051bdcac915789
SHA512
7a3b25e5cf468f72ed43e9cec7c79b6f58bf797851019a3c381abf3cca7c2ba3ca9d864339c90eb42bd0c451110f92b6f5af1cf94e033815d0164476053bbf6a
diff --git a/dev-perl/Test-Manifest/Test-Manifest-2.23.0.ebuild
b/dev-perl/Test-Manifest/Test-Manifest-2.23.0.ebuild
new file mode 100644
index 000000000000..7b544b432c38
--- /dev/null
+++ b/dev-perl/Test-Manifest/Test-Manifest-2.23.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DIST_AUTHOR=BDFOY
+DIST_VERSION=2.023
+inherit perl-module
+
+DESCRIPTION="Interact with a t/test_manifest file"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux
~ppc-macos"
+LICENSE="Artistic-2"
+
+RDEPEND="
+ virtual/perl-File-Spec
+ virtual/perl-Test-Harness
+"
+BDEPEND="
+ ${RDEPEND}
+ >=virtual/perl-ExtUtils-MakeMaker-6.640.0
+ test? (
+ virtual/perl-File-Temp
+ >=virtual/perl-Test-Simple-1.0.0
+ )
+"
+
+src_test() {
+ # Ugh, Upstream has tests that depend on tests ...
+ echo 'print qq[1..1\nok 1];' > "${S}/t/99pod.t" || die
+ echo 'print qq[1..1\nok 1];' > "${S}/t/pod_coverage.t" || die
+ perl-module_src_test
+}